MCP and programmatic accessREST API
Users
GET
/api/usersAuthorization
api_key X-API-Key<token>
In: header
Query Parameters
tenant_id?|
Format
uuidrole?null|
status?null|
Response Body
application/json
curl -X GET "https://example.com/api/users"{ "users": [ { "created_at": "2019-08-24T14:15:22Z", "email": "string", "external_id": "string", "role": "TenantAdmin", "status": "Active", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "tenant_name": "string", "tenant_slug": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5" } ]}POST
/api/usersAuthorization
api_key X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/users" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "password": "string", "role": "TenantAdmin", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0" }'{ "email": "string", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"}GET
/api/users/by-emailAuthorization
api_key X-API-Key<token>
In: header
Query Parameters
email*string
Response Body
application/json
application/json
curl -X GET "https://example.com/api/users/by-email?email=string"{ "created_at": "2019-08-24T14:15:22Z", "email": "string", "external_id": "string", "role": "TenantAdmin", "status": "Active", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "tenant_name": "string", "tenant_slug": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"}GET
/api/users/{user_id}Authorization
api_key X-API-Key<token>
In: header
Path Parameters
user_id*string
User ID
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "created_at": "2019-08-24T14:15:22Z", "email": "string", "external_id": "string", "role": "TenantAdmin", "status": "Active", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "tenant_name": "string", "tenant_slug": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"}POST
/api/users/{user_id}/change-roleAuthorization
api_key X-API-Key<token>
In: header
Path Parameters
user_id*string
User ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/change-role" \ -H "Content-Type: application/json" \ -d '{ "role": "TenantAdmin" }'Empty
POST
/api/users/{user_id}/deactivateAuthorization
api_key X-API-Key<token>
In: header
Path Parameters
user_id*string
User ID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/deactivate"Empty
POST
/api/users/{user_id}/link-external-idAuthorization
api_key X-API-Key<token>
In: header
Path Parameters
user_id*string
User ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/link-external-id" \ -H "Content-Type: application/json" \ -d '{ "external_id": "string" }'Empty
POST
/api/users/{user_id}/reactivateAuthorization
api_key X-API-Key<token>
In: header
Path Parameters
user_id*string
User ID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/reactivate"Empty